<?php
require_once(getabspath("classes/cipherer.php"));
$tdatareimprimir_mov_cajas = array();
	$tdatareimprimir_mov_cajas[".NumberOfChars"] = 80; 
	$tdatareimprimir_mov_cajas[".ShortName"] = "reimprimir_mov_cajas";
	$tdatareimprimir_mov_cajas[".OwnerID"] = "";
	$tdatareimprimir_mov_cajas[".OriginalTable"] = "movimiento_caja";

//	field labels
$fieldLabelsreimprimir_mov_cajas = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreimprimir_mov_cajas["Spanish"] = array();
	$fieldToolTipsreimprimir_mov_cajas["Spanish"] = array();
	$fieldLabelsreimprimir_mov_cajas["Spanish"]["idmovimiento"] = "Nº";
	$fieldToolTipsreimprimir_mov_cajas["Spanish"]["idmovimiento"] = "";
	$fieldLabelsreimprimir_mov_cajas["Spanish"]["idusuario"] = "Usuario";
	$fieldToolTipsreimprimir_mov_cajas["Spanish"]["idusuario"] = "";
	$fieldLabelsreimprimir_mov_cajas["Spanish"]["estado"] = "Estado";
	$fieldToolTipsreimprimir_mov_cajas["Spanish"]["estado"] = "";
	$fieldLabelsreimprimir_mov_cajas["Spanish"]["observacion"] = "Observación";
	$fieldToolTipsreimprimir_mov_cajas["Spanish"]["observacion"] = "";
	if (count($fieldToolTipsreimprimir_mov_cajas["Spanish"]))
		$tdatareimprimir_mov_cajas[".isUseToolTips"] = true;
}
	
	
	$tdatareimprimir_mov_cajas[".NCSearch"] = true;



$tdatareimprimir_mov_cajas[".shortTableName"] = "reimprimir_mov_cajas";
$tdatareimprimir_mov_cajas[".nSecOptions"] = 0;
$tdatareimprimir_mov_cajas[".recsPerRowList"] = 1;
$tdatareimprimir_mov_cajas[".mainTableOwnerID"] = "";
$tdatareimprimir_mov_cajas[".moveNext"] = 1;
$tdatareimprimir_mov_cajas[".nType"] = 1;

$tdatareimprimir_mov_cajas[".strOriginalTableName"] = "movimiento_caja";




$tdatareimprimir_mov_cajas[".showAddInPopup"] = false;

$tdatareimprimir_mov_cajas[".showEditInPopup"] = false;

$tdatareimprimir_mov_cajas[".showViewInPopup"] = false;

$tdatareimprimir_mov_cajas[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatareimprimir_mov_cajas[".listAjax"] = true;
else 
	$tdatareimprimir_mov_cajas[".listAjax"] = false;

	$tdatareimprimir_mov_cajas[".audit"] = false;

	$tdatareimprimir_mov_cajas[".locking"] = false;


$tdatareimprimir_mov_cajas[".exportTo"] = true;



$tdatareimprimir_mov_cajas[".showSimpleSearchOptions"] = false;

$tdatareimprimir_mov_cajas[".showSearchPanel"] = true;

if (isMobile())
	$tdatareimprimir_mov_cajas[".isUseAjaxSuggest"] = false;
else 
	$tdatareimprimir_mov_cajas[".isUseAjaxSuggest"] = true;

$tdatareimprimir_mov_cajas[".rowHighlite"] = true;

// button handlers file names

$tdatareimprimir_mov_cajas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareimprimir_mov_cajas[".isUseTimeForSearch"] = false;




$tdatareimprimir_mov_cajas[".allSearchFields"] = array();

$tdatareimprimir_mov_cajas[".allSearchFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".allSearchFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".allSearchFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".allSearchFields"][] = "estado";

$tdatareimprimir_mov_cajas[".googleLikeFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".googleLikeFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".googleLikeFields"][] = "estado";
$tdatareimprimir_mov_cajas[".googleLikeFields"][] = "observacion";

$tdatareimprimir_mov_cajas[".panelSearchFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".panelSearchFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".panelSearchFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".panelSearchFields"][] = "estado";

$tdatareimprimir_mov_cajas[".advSearchFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".advSearchFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".advSearchFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".advSearchFields"][] = "estado";

$tdatareimprimir_mov_cajas[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main
	


$tdatareimprimir_mov_cajas[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY idmovimiento DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatareimprimir_mov_cajas[".strOrderBy"] = $tstrOrderBy;

$tdatareimprimir_mov_cajas[".orderindexes"] = array();
$tdatareimprimir_mov_cajas[".orderindexes"][] = array(1, (0 ? "ASC" : "DESC"), "idmovimiento");

$tdatareimprimir_mov_cajas[".sqlHead"] = "SELECT idmovimiento,  idusuario,  estado,  observacion";
$tdatareimprimir_mov_cajas[".sqlFrom"] = "FROM movimiento_caja";
$tdatareimprimir_mov_cajas[".sqlWhereExpr"] = "";
$tdatareimprimir_mov_cajas[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareimprimir_mov_cajas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareimprimir_mov_cajas[".arrGroupsPerPage"] = $arrGPP;

$tableKeysreimprimir_mov_cajas = array();
$tableKeysreimprimir_mov_cajas[] = "idmovimiento";
$tdatareimprimir_mov_cajas[".Keys"] = $tableKeysreimprimir_mov_cajas;

$tdatareimprimir_mov_cajas[".listFields"] = array();
$tdatareimprimir_mov_cajas[".listFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".listFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".listFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".listFields"][] = "estado";

$tdatareimprimir_mov_cajas[".viewFields"] = array();

$tdatareimprimir_mov_cajas[".addFields"] = array();

$tdatareimprimir_mov_cajas[".inlineAddFields"] = array();

$tdatareimprimir_mov_cajas[".editFields"] = array();

$tdatareimprimir_mov_cajas[".inlineEditFields"] = array();

$tdatareimprimir_mov_cajas[".exportFields"] = array();
$tdatareimprimir_mov_cajas[".exportFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".exportFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".exportFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".exportFields"][] = "estado";

$tdatareimprimir_mov_cajas[".printFields"] = array();
$tdatareimprimir_mov_cajas[".printFields"][] = "idmovimiento";
$tdatareimprimir_mov_cajas[".printFields"][] = "idusuario";
$tdatareimprimir_mov_cajas[".printFields"][] = "observacion";
$tdatareimprimir_mov_cajas[".printFields"][] = "estado";

//	idmovimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idmovimiento";
	$fdata["GoodName"] = "idmovimiento";
	$fdata["ownerTable"] = "movimiento_caja";
	$fdata["Label"] = "Nº"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idmovimiento"; 
		$fdata["FullName"] = "idmovimiento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatareimprimir_mov_cajas["idmovimiento"] = $fdata;
//	idusuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idusuario";
	$fdata["GoodName"] = "idusuario";
	$fdata["ownerTable"] = "movimiento_caja";
	$fdata["Label"] = "Usuario"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idusuario"; 
		$fdata["FullName"] = "idusuario";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			$edata["LookupUnique"] = true;
	
	$edata["LinkField"] = "idusuario";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombres";
	
		
	$edata["LookupTable"] = "usuario";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatareimprimir_mov_cajas["idusuario"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "movimiento_caja";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		$edata["AutoUpdate"] = true; 
	
	
//	Begin Lookup settings
					$edata["LookupType"] = 0;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
		
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "CERRADO";
	$edata["LookupValues"][] = "ABIERTO";

	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatareimprimir_mov_cajas["estado"] = $fdata;
//	observacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "observacion";
	$fdata["GoodName"] = "observacion";
	$fdata["ownerTable"] = "movimiento_caja";
	$fdata["Label"] = "Observación"; 
	$fdata["FieldType"] = 201;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "observacion"; 
		$fdata["FullName"] = "observacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text area");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;
	
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatareimprimir_mov_cajas["observacion"] = $fdata;

	
$tables_data["reimprimir_mov_cajas"]=&$tdatareimprimir_mov_cajas;
$field_labels["reimprimir_mov_cajas"] = &$fieldLabelsreimprimir_mov_cajas;
$fieldToolTips["reimprimir_mov_cajas"] = &$fieldToolTipsreimprimir_mov_cajas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["reimprimir_mov_cajas"] = array();
$dIndex = 1-1;
			$strOriginalDetailsTable="det_movimiento";
	$detailsParam["dDataSourceTable"]="v_det_movimiento";
	$detailsParam["dOriginalTable"]=$strOriginalDetailsTable;
	$detailsParam["dShortTable"]="v_det_movimiento";
	$detailsParam["masterKeys"]=array();
	$detailsParam["detailKeys"]=array();
	$detailsParam["dispChildCount"]= "1";
	$detailsParam["hideChild"]="0";
	$detailsParam["previewOnList"]= 2;
	$detailsParam["previewOnAdd"]= 1;
	$detailsParam["previewOnEdit"]= 0;
	$detailsParam["previewOnView"]= 0;
		
	$detailsTablesData["reimprimir_mov_cajas"][$dIndex] = $detailsParam;
	
			$detailsTablesData["reimprimir_mov_cajas"][$dIndex]["previewOnAdd"] = false;
	
		$detailsTablesData["reimprimir_mov_cajas"][$dIndex]["masterKeys"][]="idmovimiento";
		$detailsTablesData["reimprimir_mov_cajas"][$dIndex]["detailKeys"][]="idmovimiento";

	
// tables which are master tables for current table (detail)
$masterTablesData["reimprimir_mov_cajas"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_reimprimir_mov_cajas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idmovimiento,  idusuario,  estado,  observacion";
$proto0["m_strFrom"] = "FROM movimiento_caja";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY idmovimiento DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idmovimiento",
	"m_strTable" => "movimiento_caja"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idusuario",
	"m_strTable" => "movimiento_caja"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "movimiento_caja"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "observacion",
	"m_strTable" => "movimiento_caja"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto13=array();
$proto13["m_link"] = "SQLL_MAIN";
			$proto14=array();
$proto14["m_strName"] = "movimiento_caja";
$proto14["m_columns"] = array();
$proto14["m_columns"][] = "idmovimiento";
$proto14["m_columns"][] = "idusuario";
$proto14["m_columns"][] = "observacion";
$proto14["m_columns"][] = "estado";
$obj = new SQLTable($proto14);

$proto13["m_table"] = $obj;
$proto13["m_alias"] = "";
$proto15=array();
$proto15["m_sql"] = "";
$proto15["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto15["m_column"]=$obj;
$proto15["m_contained"] = array();
$proto15["m_strCase"] = "";
$proto15["m_havingmode"] = "0";
$proto15["m_inBrackets"] = "0";
$proto15["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto15);

$proto13["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto13);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto17=array();
						$obj = new SQLField(array(
	"m_strName" => "idmovimiento",
	"m_strTable" => "movimiento_caja"
));

$proto17["m_column"]=$obj;
$proto17["m_bAsc"] = 0;
$proto17["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto17);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reimprimir_mov_cajas = createSqlQuery_reimprimir_mov_cajas();
				$tdatareimprimir_mov_cajas[".sqlquery"] = $queryData_reimprimir_mov_cajas;
	
if(isset($tdatareimprimir_mov_cajas["field2"])){
	$tdatareimprimir_mov_cajas["field2"]["LookupTable"] = "carscars_view";
	$tdatareimprimir_mov_cajas["field2"]["LookupOrderBy"] = "name";
	$tdatareimprimir_mov_cajas["field2"]["LookupType"] = 4;
	$tdatareimprimir_mov_cajas["field2"]["LinkField"] = "email";
	$tdatareimprimir_mov_cajas["field2"]["DisplayField"] = "name";
	$tdatareimprimir_mov_cajas[".hasCustomViewField"] = true;
}

include_once(getabspath("include/reimprimir_mov_cajas_events.php"));
$tableEvents["reimprimir_mov_cajas"] = new eventclass_reimprimir_mov_cajas;
$tdatareimprimir_mov_cajas[".hasEvents"] = true;

$cipherer = new RunnerCipherer("reimprimir_mov_cajas");

?>